extends RigidBody2D

var kick_countdown = -1 # if -1 no kick
var kick_offset
var kick_impulse

func kick_after(offset, impulse):
	kick_countdown = 2
	kick_offset = offset
	kick_impulse = impulse

func _integrate_forces(state):
	if kick_countdown >= 0:
		kick_countdown -= 1
	if kick_countdown == 0:
		apply_impulse(kick_offset, kick_impulse)

	
		